const config = require('@/config/config.js');
Component({
	properties: {
		imageCol: {
			type: String,
			value: 'images'
		},
		titleCol: {
			type: String,
			value: 'title'
		},
		editFlag:{				// 是否是编辑模式
			type:Boolean,
			value:false,
		},
		columns: {
			type: Number,
			value: 1
		},
		itemData: {
			type: Object,
			value: {}
		}
	},
	data:{
		imageUrl:config.image_url + '/static/img/',
	},
	methods: {
		itemClick(e) {
			this.triggerEvent('click', {
				test: "这是一个来自 drag-item 的测试信息"
			});
		}
	},
	ready() {
	}
})
